__gnu_pbds::detail::no_throw_copies< Key, Mapped > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

## Public Types

typedef integral_constant< int, __simple > | indicator

## Static Public Attributes

static const bool | __simple

## Detailed Description

template<typename Key, typename Mapped>
struct __gnu_pbds::detail::no_throw_copies< Key, Mapped >

Primary template.

Definition at line 61 of file types_traits.hpp.

## Member Typedef Documentation

## indicator

template<typename Key , typename Mapped >

typedef integral_constant<int, __simple> __gnu_pbds::detail::no_throw_copies< Key, Mapped >::indicator

Definition at line 65 of file types_traits.hpp.

## Member Data Documentation

## __simple

template<typename Key , typename Mapped >

const bool __gnu_pbds::detail::no_throw_copies< Key, Mapped >::__simple

static

Definition at line 63 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp